<?php 
/**
	* Layout Bunled product Default
	* @version     1.0.0
**/
//echo "da vao";
$term_name = esc_html__( 'All Categories', 'sw_product_bundles' );
$viewall = get_permalink( wc_get_page_id( 'shop' ) );
$default = array(
	'post_type' => 'product',	
	'orderby' => $orderby,
	'order' => $order,
	'post_status' => 'publish',
	'showposts' => $numberposts	
);
$default['tax_query'][] = array(						
		'taxonomy' => 'product_type',
		'field'    => 'name',
		'terms'    => 'bundle',
		'operator' => 'IN',	
	);
if( $category ){
	$term = get_term_by( 'slug', $category, 'product_cat' );
	if( $term ) :
		$term_name = $term->name;
		$viewall = get_term_link( $term->term_id, 'product_cat' );
	endif; 
	
	$default['tax_query'][] = array(
		array(
			'taxonomy'  => 'product_cat',
			'field'     => 'slug',
			'terms'     => $category ));
}
$id = 'sw_countdown_'.$this->generateID();
$list = new WP_Query( $default );
if ( $list -> have_posts() ){ ?>
	<div id="<?php echo $category.'_'.$id; ?>" class="sw-woo-container-slider responsive-slider bundle-slider-style9 loading" data-row="<?php echo esc_attr( $item_row ); ?>" data-lg="<?php echo esc_attr( $columns ); ?>" data-md="<?php echo esc_attr( $columns1 ); ?>" data-sm="<?php echo esc_attr( $columns2 ); ?>" data-xs="<?php echo esc_attr( $columns3 ); ?>" data-mobile="<?php echo esc_attr( $columns4 ); ?>" data-speed="<?php echo esc_attr( $speed ); ?>" data-scroll="<?php echo esc_attr( $scroll ); ?>" data-interval="<?php echo esc_attr( $interval ); ?>"  data-autoplay="<?php echo esc_attr( $autoplay ); ?>" data-circle="false" data-dots="false">
		<?php if( $title1 != '' ){?>
			<div class="box-title clearfix">
				<h3><?php echo ( $title1 != '' ) ? $title1 : $term_name; ?></h3>
			</div>
		<?php } ?>
		<div class="resp-slider-container">
			<div class="slider responsive">	
			<?php 
				while($list->have_posts()): $list->the_post();					
				global $product, $post;
				$class = ( $product->get_price_html() ) ? '' : 'item-nonprice';
			?>
				<div class="item product product-images-bundle<?php echo esc_attr( $class )?>" id="<?php echo 'product_'.$id.$post->ID; ?>" data-vertical="false">
					<div class="item-wrap">
						<div class="item-img">
							<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>"><?php the_post_thumbnail( 'woocommerce_thumbnail' ); ?></a>
							<?php emarket_product_item_bottom_layout2(); ?>
						</div>
						<!--- pack thumail -->
						<div class="item-pack">
							<div class="title-bundle"><?php echo esc_html('Bundle Includes:','emarket');?></div>
							<div class="slider product-responsive-thumbnail" id="product_thumbnail_<?php echo esc_attr( $post->ID ); ?>">											 
								<?php	
									$bundles = apply_filters( 'swpb/load/bundle', $product->get_id() );
									foreach ( $bundles as $key => $value )  { 
									$bundle = wc_get_product( $key ); 
									if( !is_wp_error( $bundle ) && $bundle ){
								?>
								<div class="item-thumbnail-product">
									<div class="thumbnail-wrapper">
										<?php echo $bundle->get_image( 'thumbnail' );	?>
									</div>
								</div>
								<?php } } ?> 
							</div>	
						</div>	
						<!-- end pack thumnail -->	
						<div class="item-content">
							<?php emarket_template_loop_product_title(); ?>
							<?php emarket_custom_template_loop_price(); ?>
							<?php woocommerce_template_loop_add_to_cart(); ?>									
						</div>			
					</div>
				</div>
			<?php endwhile; wp_reset_postdata();?>
			</div>
		</div>            
	</div>
<?php
	} 
?>